Name:           jzlib
Version:        1.1.3
Release:        %mkrel 22
Group:          Development/Java
Epoch:          0
Summary:        Re-implementation of zlib in pure Java
License:        BSD
URL:            http://www.jcraft.com/jzlib/
BuildArch:      noarch
Source0:        https://github.com/ymnk/jzlib/archive/%{version}.tar.gz

# This patch is sent upstream: https://github.com/ymnk/jzlib/pull/15
Patch0:         jzlib-javadoc-fixes.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
The zlib is designed to be a free, general-purpose, legally unencumbered 
-- that is, not covered by any patents -- loss-less data-compression 
library for use on virtually any computer hardware and operating system. 
The zlib was written by Jean-loup Gailly (compression) and Mark Adler 
(decompression). 

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
%{summary}.

%package        demo
Summary:        Examples for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    demo
%{summary}.

%prep
%setup -q
%patch0

%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" 1.7
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" 1.7

# Make into OSGi bundle
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin "org.apache.felix:maven-bundle-plugin" . "<extensions>true</extensions>"

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

# examples
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -pr example/* %{buildroot}%{_datadir}/%{name}

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%files demo
%doc %{_datadir}/%{name}


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 0:1.1.3-22.mga9
+ Revision: 1871557
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Sep 08 2020 daviddavid <daviddavid> 0:1.1.3-9.mga8
+ Revision: 1623485
- Fix build with Java 11
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 0:1.1.3-8.mga8
+ Revision: 1521228
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 daviddavid <daviddavid> 0:1.1.3-7.mga7
+ Revision: 1341852
- Add OSGi metadata

* Tue Sep 18 2018 umeabot <umeabot> 0:1.1.3-6.mga7
+ Revision: 1262461
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:1.1.3-4.mga6
+ Revision: 976427
- First rebuild of the java stack
- sync package jzlib with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 0:1.1.3-2.mga5
+ Revision: 806306
- Clean rebuild
- Sync with Fedora 21 (update to 1.1.3)

* Fri Oct 24 2014 umeabot <umeabot> 0:1.1.0-5.mga5
+ Revision: 792889
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:1.1.0-3.mga4
+ Revision: 506527
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:1.1.0-2.mga3
+ Revision: 355758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 0:1.1.0-1.mga3
+ Revision: 328864
- New version

* Thu Sep 22 2011 gil <gil> 0:1.0.7-12.mga2
+ Revision: 146764
- added m2 pom

* Sat Jan 15 2011 mikala <mikala> 0:1.0.7-11.mga1
+ Revision: 18455
- imported package jzlib


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.0.7-11mdv2011.0
+ Revision: 606120
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.0.7-10mdv2010.1
+ Revision: 523153
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:1.0.7-9mdv2010.0
+ Revision: 425478
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:1.0.7-8mdv2009.1
+ Revision: 351330
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0:1.0.7-7mdv2009.0
+ Revision: 221763
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.7-6mdv2008.1
+ Revision: 120959
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.7-5mdv2008.0
+ Revision: 87189
- rebuild to filter out autorequires on GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:1.0.7-4mdv2008.0
+ Revision: 82637
- update to new version


* Wed Mar 14 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.0.7-3mdv2007.1
+ Revision: 143750
- rebuild for 2007.1
- Import jzlib

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:1.0.7-2mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdk
- 1.0.7

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:1.0.5-2.1mdk
- release

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:1.0.5-2jpp
- rebuild with jdk 1.4.2

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:1.0.5-1jpp
- 0.1.5

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:1.0.3-2jpp
- Rebuild with ant-1.6.2

